package com.ruoyi.project.pssr.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.pssr.mapper.TPssrOverhaulTowerMapper;
import com.ruoyi.project.pssr.domain.TPssrOverhaulTower;
import com.ruoyi.project.pssr.service.ITPssrOverhaulTowerService;

/**
 * 检修项目-塔罐Service业务层处理
 *
 * @author ssy
 * @date 2024-09-18
 */
@Service
public class TPssrOverhaulTowerServiceImpl implements ITPssrOverhaulTowerService
{
    @Autowired
    private TPssrOverhaulTowerMapper tPssrOverhaulTowerMapper;

    /**
     * 查询检修项目-塔罐
     *
     * @param id 检修项目-塔罐ID
     * @return 检修项目-塔罐
     */
    @Override
    public TPssrOverhaulTower selectTPssrOverhaulTowerById(Long id)
    {
        return tPssrOverhaulTowerMapper.selectTPssrOverhaulTowerById(id);
    }

    /**
     * 查询检修项目-塔罐列表
     *
     * @param tPssrOverhaulTower 检修项目-塔罐
     * @return 检修项目-塔罐
     */
    @Override
    public List<TPssrOverhaulTower> selectTPssrOverhaulTowerList(TPssrOverhaulTower tPssrOverhaulTower)
    {
        return tPssrOverhaulTowerMapper.selectTPssrOverhaulTowerList(tPssrOverhaulTower);
    }

    /**
     * 新增检修项目-塔罐
     *
     * @param tPssrOverhaulTower 检修项目-塔罐
     * @return 结果
     */
    @Override
    public int insertTPssrOverhaulTower(TPssrOverhaulTower tPssrOverhaulTower)
    {
        return tPssrOverhaulTowerMapper.insertTPssrOverhaulTower(tPssrOverhaulTower);
    }

    /**
     * 修改检修项目-塔罐
     *
     * @param tPssrOverhaulTower 检修项目-塔罐
     * @return 结果
     */
    @Override
    public int updateTPssrOverhaulTower(TPssrOverhaulTower tPssrOverhaulTower)
    {
        return tPssrOverhaulTowerMapper.updateTPssrOverhaulTower(tPssrOverhaulTower);
    }
    public int updateAllBySubId(TPssrOverhaulTower tPssrOverhaulTower)
    {
        return tPssrOverhaulTowerMapper.updateAllBySubId(tPssrOverhaulTower);
    }

    /**
     * 批量删除检修项目-塔罐
     *
     * @param ids 需要删除的检修项目-塔罐ID
     * @return 结果
     */
    @Override
    public int deleteTPssrOverhaulTowerByIds(Long[] ids)
    {
        return tPssrOverhaulTowerMapper.deleteTPssrOverhaulTowerByIds(ids);
    }

    /**
     * 删除检修项目-塔罐信息
     *
     * @param id 检修项目-塔罐ID
     * @return 结果
     */
    @Override
    public int deleteTPssrOverhaulTowerById(Long id)
    {
        return tPssrOverhaulTowerMapper.deleteTPssrOverhaulTowerById(id);
    }
}
